import request from '@/utils/request'
import { parseStrEmpty } from '@/utils/vctgo'
import Pinyin from 'js-pinyin'
Pinyin.setOptions({ charCase: 1 })

// 分页查询玩具品牌管理列表
export function listBrand(query) {
  return request({
    url: '/toy/brand/list',
    method: 'get',
    params: query
  })
}

// 查询玩具品牌管理列表
export function listOptionBrand(query) {
  return request({
    url: '/toy/brand/option/list',
    method: 'get',
    params: query
  })
}

// 查询重复名称的玩具品牌管理列表
export function listRepeatBrand(brandName, id) {
  return request({
    url: '/toy/brand/list/' + brandName + '/' + parseStrEmpty(id),
    method: 'get'
  })
}

// 查询玩具品牌管理详细
export function getBrand(id) {
  return request({
    url: '/toy/brand/' + id,
    method: 'get'
  })
}

// 新增玩具品牌管理
export function addBrand(data) {
  return request({
    url: '/toy/brand',
    method: 'post',
    data: data
  })
}

// 修改玩具品牌管理
export function updateBrand(data) {
  return request({
    url: '/toy/brand',
    method: 'put',
    data: data
  })
}

// 删除玩具品牌管理
export function delBrand(id) {
  return request({
    url: '/toy/brand/' + id,
    params: { 'deletedFlag': '1' },
    method: 'delete'
  })
}

export function fillBrandPinyin() {
  if (this.form.brandName != null) {
    this.form.brandPinyin = Pinyin.getFullChars(this.form.brandName)
  }
}
